package cn.com.ctop.crawler.modules.core.service;

import cn.com.ctop.crawler.modules.account.entity.KuaishouAdAccount;
import cn.com.ctop.crawler.modules.account.entity.KuaishouAppAccount;
import cn.com.ctop.crawler.modules.account.entity.KuaishouIosAccount;

import java.io.UnsupportedEncodingException;

public interface IKuaishouCrawlerService {
    String getVideoFeeds(KuaishouAppAccount kuaishouAppAccount,Integer page);
    String getVideoFeeds(KuaishouIosAccount kuaishouIosAccount);
    String getAdAccountVideoFeeds(KuaishouAdAccount kuaishouAdAccount,String pcursor);

    String getMusicTypeList(String llsid);

    String musicSearchSuggest(String keyword) throws UnsupportedEncodingException;

    String musicSearchList(String keyword) throws UnsupportedEncodingException;

    String getMusicList(String channel, String llsid);

    String getAdFeeds();
    String getUserProfile(Long userId);
}
